{
  "name": "upend-kestrel",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --clearScreen=false",
    "build": "vite build",
    "preview": "vite preview",
    "check": "svelte-check --tsconfig ./tsconfig.json",
    "lint": "eslint src",
    "clean": "rm -frv dist public/vendor",
    "storybook": "npm-run-all -p -r storybook:serve storybook:upend",
    "storybook:serve": "storybook dev -p 6006",
    "storybook:upend": "cargo run --release -- serve ../example_vault --bind 127.0.0.1:8099 --no-browser --reinitialize",
    "build-storybook": "storybook build"
  },
  "devDependencies": {
    "@storybook/addon-essentials": "^7.0.0-beta.30",
    "@storybook/addon-interactions": "^7.0.0-beta.30",
    "@storybook/addon-links": "^7.0.0-beta.30",
    "@storybook/blocks": "^7.0.0-beta.30",
    "@storybook/svelte": "^7.0.0-beta.30",
    "@storybook/svelte-vite": "^7.0.0-beta.30",
    "@storybook/testing-library": "^0.0.13",
    "@sveltejs/vite-plugin-svelte": "^1.0.1",
    "@tsconfig/svelte": "^3.0.0",
    "@types/d3": "^7.4.0",
    "@types/dompurify": "^2.3.3",
    "@types/lodash": "^4.14.182",
    "@types/lru-cache": "^7.10.10",
    "@types/marked": "^4.0.3",
    "@types/three": "^0.143.0",
    "@types/wavesurfer.js": "^6.0.3",
    "@typescript-eslint/eslint-plugin": "^5.32.0",
    "@typescript-eslint/parser": "^5.32.0",
    "eslint": "^8.30.0",
    "eslint-plugin-storybook": "^0.6.10",
    "eslint-plugin-svelte3": "^4.0.0",
    "npm-run-all": "^4.1.5",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "storybook": "^7.0.0-beta.30",
    "svelte": "^3.55.0",
    "svelte-check": "^2.10.3",
    "svelte-preprocess": "^5.0.0",
    "tslib": "^2.4.1",
    "typescript": "^4.9.4",
    "vite": "^4.0.3",
    "vite-plugin-static-copy": "^0.13.0"
  },
  "dependencies": {
    "@ibm/plex": "^6.1.1",
    "@recogito/annotorious": "^2.7.1",
    "boxicons": "^2.1.4",
    "d3": "^7.8.0",
    "date-fns": "^2.29.3",
    "dompurify": "^2.4.1",
    "filesize": "^8.0.6",
    "history": "^5.3.0",
    "i18next": "^22.4.6",
    "lodash": "^4.17.21",
    "lru-cache": "^6.0.0",
    "marked": "^4.2.4",
    "match-sorter": "^6.3.1",
    "mitt": "^3.0.0",
    "normalize.css": "^8.0.1",
    "sass": "^1.57.1",
    "sirv-cli": "^2.0.2",
    "sswr": "^1.7.0",
    "svelte-i18next": "^1.2.2",
    "svelte-navigator": "^3.2.2",
    "three": "^0.147.0",
    "upend": "../tools/upend_js",
    "wavesurfer.js": "^6.4.0"
  },
  "packageManager": "yarn@3.1.0"
}
